import BaseGenerator from '../../base/index.js';
export declare function FINAL_VUE_DIR(generator: any): string;
export declare function STATIC_VUE_DIR(generator: any): string;
export declare function getIconName(iconName: any, iconLibName?: string): any;
export declare function addEntityServiceToMainImportVue3(this: BaseGenerator, application: any, className: any, fileName: any, folderName: any, moduleServices?: boolean): void;
export declare function addEntityServiceToMainVue3(this: BaseGenerator, application: any, entityName: any, className: any, moduleName: any): void;
export declare function generateFormFields(fields: any, relationships: any, entity: any, application: any, options?: any, entities?: any): {
    formFieldLines: any[];
    showInOneConfig: any;
    showInOneRelationships: any[];
    formImportStatements: Set<string>;
    showInOneImportComponents: any;
};
export declare function generateDescFields(fields: any[], relationships: any[], entity: any, application: any): {
    detailFieldLines: any[];
    detailShowInOneConfig: any;
    detailImportStatements: Set<string>;
};
export declare function generateColumns(fields: any, relationships: any, entity: any, application: any, skipOperates?: string[]): {
    tableFieldColumns: any[];
    tableColumns: any[];
    searchFormFields: any[];
    tableImportStatements: Set<string>;
    editInListRelationships: any[];
};
export declare function addEntityServiceToApiServiceImport(this: BaseGenerator, className: any, fileName: any, folderName: any, moduleServices: boolean | undefined, application: any): void;
export declare function addEntityServiceToApiService(this: BaseGenerator, entityName: any, className: any, moduleName: any, application: any): void;
